Множественные уязвимости в JFFNMS

Дата публикации:
11.06.2007
Всего просмотров:
864
Опасность:
Средняя
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3189
CVE-2007-3190
CVE-2007-3191
CVE-2007-3192
CVE-2007-3204
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
JFFNMS 0.x
Уязвимые версии: JFFNMS 0.8.3, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "user" в сценарии auth.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "user" и "pass" в сценарии auth.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Злоумышленник может непосредственно вызвать сценарий admin/adm/test.php и получить доступ к некоторым системным данным, возвращаемым функцией "phpinfo()".

4. Злоумышленник может просмотреть и изменить настройки приложения с помощью сценария "admin/setup.php".

URL производителя: www.jffnms.org

Решение: Уязвимость в параметре "user" устранена в версии 0.8.4-pre2. Способов устранения остальных уязвимостей не существует в настоящее время.

или введите имя

CAPTCHA